//
//  MKPPostWordViewController.m
//  MKPPlaceholderTextView
//
//  Created by  on 16/11/30.
//  Copyright © 2016年 毛凯平. All rights reserved.
//

#import "MKPPostWordViewController.h"
#import "UIView+MKPExtension.h"
#import "MKPPlaceholderTextView.h"

@interface MKPPostWordViewController ()<UITextViewDelegate>
/** 文本输入控件 */
@property(nonatomic,weak) MKPPlaceholderTextView *textView;

@end

@implementation MKPPostWordViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // 设置导航栏
    [self setupNav];
    
    // 设置占位文本
    [self setupTextView];

}
/**
 * 设置导航栏
 */
-(void)setupNav
{
    self.title = @"发表文字";
    self.navigationItem.leftBarButtonItem = [[UIBarButtonItem alloc]initWithTitle:@"取消" style:UIBarButtonItemStyleDone target:self action:@selector(cancel)];
    self.navigationItem.rightBarButtonItem = [[UIBarButtonItem alloc]initWithTitle:@"发表" style:UIBarButtonItemStyleDone target:self action:@selector(post)];
    self.navigationItem.rightBarButtonItem.enabled = NO;
    // 强制刷新
    [self.navigationController.navigationBar layoutIfNeeded];
}
/**
 * 设置占位文本
 */
-(void)setupTextView
{
    MKPPlaceholderTextView *textView = [[MKPPlaceholderTextView alloc]init];
    textView.placeholder = @"说你想说的，做你想做的...";
    textView.frame = self.view.bounds;
    textView.delegate = self;
    [self.view addSubview:textView];
    self.textView = textView;
    
}
-(void)viewDidAppear:(BOOL)animated
{
    [super viewDidAppear:animated];
    
    [self.textView becomeFirstResponder];
}
- (void)cancel
{
    NSLog(@"%s",__func__);
}

- (void)post
{
    NSLog(@"%s",__func__);
}

#pragma mark - <UITextViewDelegate>
-(void)textViewDidChange:(UITextView *)textView
{
    self.navigationItem.rightBarButtonItem.enabled = textView.hasText;
}

-(void)scrollViewWillBeginDragging:(UIScrollView *)scrollView
{
    [self.view endEditing:YES];
}

@end
